public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/ply/
Date: Sun, 11 Oct 2015 11:25:10 +0000 (UTC)	[thread overview]
Message-ID: <1444562669.8ad387acd52815a6cda63e079cd8b83ddfe06f2c.jlec@gentoo> (raw)

commit:     8ad387acd52815a6cda63e079cd8b83ddfe06f2c
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 11 10:31:59 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sun Oct 11 11:24:29 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8ad387ac

dev-python/ply: Add python3.5 support

Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/ply/ply-3.8-r1.ebuild | 44 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)

diff --git a/dev-python/ply/ply-3.8-r1.ebuild b/dev-python/ply/ply-3.8-r1.ebuild
new file mode 100644
index 0000000..d32b5aa
--- /dev/null
+++ b/dev-python/ply/ply-3.8-r1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python Lex-Yacc library"
+HOMEPAGE="http://www.dabeaz.com/ply/ https://pypi.python.org/pypi/ply"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris"
+IUSE="examples"
+
+RDEPEND=""
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+# See bug #458648 for reference
+RESTRICT="test"
+
+DOCS=( ANNOUNCE CHANGES TODO )
+
+PATCHES=( "${FILESDIR}/3.6-picklefile-IOError.patch" )
+
+python_test() {
+	cp -r -l test "${BUILD_DIR}"/ || die
+	cd "${BUILD_DIR}"/test || die
+
+	local t
+	for t in testlex.py testyacc.py; do
+		"${PYTHON}" "${t}" || die "${t} fails with ${EPYTHON}"
+	done
+}
+
+python_install_all() {
+	local HTML_DOCS=( doc/. )
+	use examples && local EXAMPLES=( example/. )
+	distutils-r1_python_install_all
+}


             reply	other threads:[~2015-10-11 11:25 UTC|newest]

Thread overview: 43+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-10-11 11:25 Justin Lecher [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-05-11 18:36 [gentoo-commits] repo/gentoo:master commit in: dev-python/ply/ Sam James
2025-05-03 10:07 Michał Górny
2024-05-10 18:38 Michał Górny
2024-04-17 21:02 Conrad Kostecki
2023-05-24  7:48 Sam James
2022-06-13  8:25 Michał Górny
2022-06-13  7:07 Agostino Sarubbo
2022-06-12  5:51 Michał Górny
2022-05-10 21:52 Michał Górny
2022-05-10 21:52 Michał Górny
2021-08-13  6:58 Michał Górny
2021-05-05 19:14 Michał Górny
2020-09-25 20:04 Michał Górny
2020-05-25 19:27 Michał Górny
2020-05-11  9:42 Agostino Sarubbo
2020-03-25 13:25 Michał Górny
2020-03-25 13:25 Michał Górny
2019-12-04  6:48 Aaron Bauman
2019-11-16 23:00 Michał Górny
2018-11-19 21:15 Fabian Groffen
2018-05-07  0:12 Mart Raudsepp
2018-03-07 20:12 Michał Górny
2018-03-01 19:35 Tim Harder
2018-02-21 20:18 Michał Górny
2017-08-27 18:14 Michał Górny
2017-02-24 17:44 Markus Meier
2017-02-06  3:48 Lars Wendler
2017-02-06  3:48 Lars Wendler
2017-01-29 17:15 Fabian Groffen
2017-01-25  9:05 Tobias Klausmann
2017-01-23  6:11 Jeroen Roovers
2017-01-22  2:13 Mike Gilbert
2017-01-18 16:52 Agostino Sarubbo
2016-09-14  5:19 Tim Harder
2016-06-21  2:47 Mike Frysinger
2015-10-18 16:48 Mikle Kolyada
2015-10-10 16:31 Justin Lecher
2015-09-24 10:36 Agostino Sarubbo
2015-09-20  9:30 Agostino Sarubbo
2015-08-25  5:38 Jeroen Roovers
2015-08-21 16:47 Markus Meier
2015-08-16 18:01 Mikle Kolyada

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1444562669.8ad387acd52815a6cda63e079cd8b83ddfe06f2c.jlec@gentoo \
    --to=jlec@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox